# dipy_fit_dki

## Synopsis

Workflow for Diffusion Kurtosis reconstruction and for computing DKI metrics.

Performs a DKI reconstruction [1], [2] on the files by ‘globing’ `input_files` and saves the DKI metrics in a directory specified by `out_dir`.

## Usage

    dipy_fit_dki [OPTIONS] input_files bvalues_files bvectors_files mask_files

## Input Parameters

- `input_files`

  Path to the input volumes. This path may contain wildcards to process multiple inputs at once.

- `bvalues_files`

  Path to the bvalues files. This path may contain wildcards to use multiple bvalues files at once.

- `bvectors_files`

  Path to the bvalues files. This path may contain wildcards to use multiple bvalues files at once.

- `mask_files`

  Path to the input masks. This path may contain wildcards to use multiple masks at once. (default: No mask used)

## General Options

- `--fit_method`

  can be one of the following: ‘OLS’ or ‘ULLS’ for ordinary least squares ‘WLS’ or ‘UWLLS’ for weighted ordinary least squares (default: WLS)

- `--b0_threshold`

  Threshold used to find b0 volumes. (default: 50.0)

- `--sigma`

  An estimate of the variance. Chang et al.[3] recommend to use 1.5267 * std(background_noise), where background_noise is estimated from some part of the image known to contain no signal (only noise) (default: None)

- `--save_metrics`

  List of metrics to save. Possible values: fa, ga, rgb, md, ad, rd, mode, tensor, evec, eval (default: None)

- `--extract_pam_values`

  Save or not to save pam volumes as single nifti files. (default: False)

- `--npeaks`

  Number of peaks to fit in each voxel. (default: 5)

## Output Options

- `--out_dir`

  Output directory. (default: current directory)

- `--out_dt_tensor`

  Name of the tensors volume to be saved. (default: dti_tensors.nii.gz)

- `--out_dk_tensor`

  Name of the tensors volume to be saved. (default: dki_tensors.nii.gz)

- `--out_fa`

  Name of the fractional anisotropy volume to be saved. (default: fa.nii.gz)

- `--out_ga`

  Name of the geodesic anisotropy volume to be saved. (default: ga.nii.gz)

- `--out_rgb`

  Name of the color fa volume to be saved. (default: rgb.nii.gz)

- `--out_md`

  Name of the mean diffusivity volume to be saved. (default: md.nii.gz)

- `--out_ad`

  Name of the axial diffusivity volume to be saved. (default: ad.nii.gz)

- `--out_rd`

  Name of the radial diffusivity volume to be saved. (default: rd.nii.gz)

- `--out_mode`

  Name of the mode volume to be saved. (default: mode.nii.gz)

- `--out_evec`

  Name of the eigenvectors volume to be saved. (default: evecs.nii.gz)

- `--out_eval`

  Name of the eigenvalues to be saved. (default: evals.nii.gz)

- `--out_mk`

  Name of the mean kurtosis to be saved. (default: mk.nii.gz)

- `--out_ak`

  Name of the axial kurtosis to be saved. (default: ak.nii.gz)

- `--out_rk`

  Name of the radial kurtosis to be saved. (default: rk.nii.gz)

- `--out_pam`

  Name of the peaks volume to be saved. (default: peaks.pam5)

- `--out_peaks_dir`

  Name of the peaks directions volume to be saved. (default: peaks_dirs.nii.gz)

- `--out_peaks_values`

  Name of the peaks values volume to be saved. (default: peaks_values.nii.gz)

- `--out_peaks_indices`

  Name of the peaks indices volume to be saved. (default: peaks_indices.nii.gz)

- `--out_sphere`

  Sphere vertices name to be saved. (default: sphere.txt)

## References

[1]

Ali Tabesh, Jens H. Jensen, Babak A. Ardekani, and Joseph A. Helpern. Estimation of tensors and tensor-derived measures in diffusional kurtosis imaging. Magnetic Resonance in Medicine, 65(3):823–836, 2011. URL: https://doi.org/10.1002/mrm.22655, doi:10.1002/mrm.22655.

[2]

Jens H. Jensen, Joseph A. Helpern, Anita Ramani, Hanzhang Lu, and Kyle Kaczynski. Diffusional kurtosis imaging: The quantification of non-gaussian water diffusion by means of magnetic resonance imaging. Magnetic Resonance in Medicine, 53(6):1432–1440, 2005. URL: https://onlinelibrary.wiley.com/doi/abs/10.1002/mrm.20508, doi:https://doi.org/10.1002/mrm.20508.

[3]

Lin-Ching Chang, Derek K. Jones, and Carlo Pierpaoli. RESTORE: Robust estimation of tensors by outlier rejection. Magnetic Resonance in Medicine, 53(5):1088–1095, 2005. URL: https://doi.org/10.1002/mrm.20426, doi:10.1002/mrm.20426.

Garyfallidis, E., M. Brett, B. Amirbekian, A. Rokem, S. Van Der Walt, M. Descoteaux, and I. Nimmo-Smith. Dipy, a library for the analysis of diffusion MRI data. Frontiers in Neuroinformatics, 1-18, 2014.